.locations-list {
	display: flex;
	flex-direction: column;
	gap: 4px;
	margin-top: 24px;
}

.locations-list-primary {
	display: flex;
	align-items: center;
	gap: 12px;
}

.locations-list-primary .search-input-container {
	width: 100%;
}

.locations-list-items {
	display: flex;
	flex-direction: column;
	margin-top: 4px;
	padding: 4px;
	max-height: calc(var(--vh) - 494px);
	overflow: auto;
}

.locations-list-item {
	position: relative;
	display: flex;
	flex-direction: column;
	gap: 4px;
	cursor: pointer;
	color: var(--text-colour-secondary);
}

.locations-list-item:hover {
	color: var(--text-colour-primary);
}

.locations-list-item-divider {
	display: block;
	content: "";
	margin-top: 12px;
	margin-bottom: 8px;
	width: 100%;
	height: 2px;
	background: var(--colour-grey-two);
}

.locations-list-item-name {
	font-size: var(--font-size-p-m);
	font-weight: 700;
}

.locations-list-item-type {
	display: flex;
	align-items: center;
	gap: 4px;
}

.locations-list-item-type-text {
	font-size: var(--font-size-p-m);
}

.locations-list-items-loading-circle-container {
	position: relative;
	height: calc(var(--vh) - 494px - 48px);
}

@media (max-width: 750px) {
	.locations-list-items {
		max-height: calc(var(--vh) - 222px - max(28vw, 175px));
	}

	.locations-list-items-loading-circle-container {
		height: calc(var(--vh) - 222px - max(28vw, 175px) - 48px);
	}
}
